php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #2093 MD5 hashing seg faults when compiled as Apache loadable module
Submitted: 1999-08-17 13:30 UTC Modified: 1999-08-17 13:40 UTC
From: tluu at ftel dot net Assigned:
Status: Closed Package: mhash related
PHP Version: 4.0 Beta 2 OS: Linux
Private report: No CVE-ID: None
 [1999-08-17 13:30 UTC] tluu at ftel dot net
Hashing using MD5 (with the mhash 0.5.2 package) seg faults when running scripts ran under the Apache 1.3.6 server.  PHP was compiled as an Apache loadable module.  The same script runs fine when ran using version of PHP4b2 compiled (with the same extensions) as a standalone program.  CRC32 and SHA1 works fine though.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [1999-08-17 13:40 UTC] sas at cvs dot php dot net
Might be related to the DSO problems. Until Apache 1.3.x for x > 6 is released, please don't use DSO modules, but stick to static (--with-apache) Apache modules
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Mon Dec 05 12:05:53 2022 UTC